Magick::Pixels Class Reference

`#include <Pixels.h>`

## Public Member Functions

| Pixels (Magick::Image &image_)
| ~Pixels (void)
PixelPacket * | get (const ::ssize_t x_, const ::ssize_t y_, const size_t columns_, const size_t rows_)
const PixelPacket * | getConst (const ::ssize_t x_, const ::ssize_t y_, const size_t columns_, const size_t rows_)
PixelPacket * | set (const ::ssize_t x_, const ::ssize_t y_, const size_t columns_, const size_t rows_)
void | sync (void)
size_t | columns (void) const
IndexPacket * | indexes (void)
size_t | rows (void) const
::ssize_t | x (void) const
::ssize_t | y (void) const

## Detailed Description

Definition at line 18 of file Pixels.h.

## Constructor & Destructor Documentation

Magick::Pixels::Pixels | ( | Magick::Image & | image_ | ) |

Definition at line 18 of file Pixels.cpp.

References GetPPException, Magick::Image::image(), Magick::Image::quiet(), and ThrowPPException.

Magick::Pixels::~Pixels | ( | void |  | ) |

Definition at line 30 of file Pixels.cpp.

## Member Function Documentation

size_t Magick::Pixels::columns | ( | void |  | ) | const

inline

Definition at line 138 of file Pixels.h.

Magick::PixelPacket * Magick::Pixels::get | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const size_t | columns_,
|  | const size_t | rows_
| ) |  |

Definition at line 36 of file Pixels.cpp.

References GetPPException, and ThrowPPException.

const Magick::PixelPacket * Magick::Pixels::getConst | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const size_t | columns_,
|  | const size_t | rows_
| ) |  |

Definition at line 52 of file Pixels.cpp.

References GetPPException, and ThrowPPException.

Magick::IndexPacket * Magick::Pixels::indexes | ( | void |  | ) |

Definition at line 91 of file Pixels.cpp.

size_t Magick::Pixels::rows | ( | void |  | ) | const

inline

Definition at line 144 of file Pixels.h.

Magick::PixelPacket * Magick::Pixels::set | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const size_t | columns_,
|  | const size_t | rows_
| ) |  |

Definition at line 68 of file Pixels.cpp.

References GetPPException, and ThrowPPException.

void Magick::Pixels::sync | ( | void |  | ) |

Definition at line 84 of file Pixels.cpp.

References GetPPException, and ThrowPPException.

ssize_t Magick::Pixels::x | ( | void |  | ) | const

inline

Definition at line 126 of file Pixels.h.

ssize_t Magick::Pixels::y | ( | void |  | ) | const

inline

Definition at line 132 of file Pixels.h.

The documentation for this class was generated from the following files:

- Pixels.h
- Pixels.cpp